Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Gone back to 1.3 from 1.4

Discussion in 'Pro/Adv Discussion' started by lotusteve, Nov 25, 2015.

  1. lotusteve

    Joined:
    Sep 11, 2015
    Messages:
    586
    Likes Received:
    135
    Location:
    sheffield uk
    I have gone back to 1.3 from 1.4 because aim fed up with my phantom not flying in a straight line and drifting. Been for a test flight this afternoon and all seems back to normal. Only used the poi once so not too bothered about the new features in 1.4.
     
  2. flyNfrank

    Joined:
    Feb 1, 2014
    Messages:
    4,214
    Likes Received:
    911
    Location:
    Indy, USA
    What firmware is in your R/C?
     
  3. Bigskyflyer

    Joined:
    Jun 14, 2015
    Messages:
    117
    Likes Received:
    71
    Location:
    SW Montana
    Some here would say that you are crazy for going back 1.3 but I,like you, am staying there for now. I have no issues and the new firmware offers me nothing that I want or need. It has been said that there may be a bug that has not reared it's ugly head yet in the old firmware. The same can be said for the new firmware, you could just as easily be introducing a bug to an otherwise healthy bird. It boils down to one thing, if you want to take advantage of the options the new firmware has to offer, upgrade, if not like me, stay with what you have. The theory that you must upgrade is total b.s. It is based on some people's opinions not facts. I actually have 127 full flights on 1.3 with absolutely no issues, why tempt fate if there is nothing in the new firmware that I want or need.
     
    lotusteve and D4T_PoM like this.
  4. TC Malker

    Joined:
    Nov 3, 2015
    Messages:
    297
    Likes Received:
    85
    If you crashed with the old firmware on your bird, say good bye to your warranty. DJI gave you ample chances to upgrade... fix... your bird. Just a thought.
     
  5. lotusteve

    Joined:
    Sep 11, 2015
    Messages:
    586
    Likes Received:
    135
    Location:
    sheffield uk
    How have dji offered me a fix ? The updates seem to be all about new features. What are they fixing in the new firmware that will make me not crash.
     
    D4T_PoM and Skypicswa like this.
  6. lotusteve

    Joined:
    Sep 11, 2015
    Messages:
    586
    Likes Received:
    135
    Location:
    sheffield uk
    I have the latest on my R/C
     
  7. Bigskyflyer

    Joined:
    Jun 14, 2015
    Messages:
    117
    Likes Received:
    71
    Location:
    SW Montana
    This also is a myth. The only warranty issue one might have is if you crashed your bird from something that a firmware would have corrected, but as we know firmware does not cause crashes.(at least that is what all of the forum guru's say) Also if it is so imperitive to update why is dji' still shipping phantoms with 1.1.9 plus why would dji' let you revert to previous firmware?
     
    #7 Bigskyflyer, Nov 25, 2015
    Last edited: Nov 25, 2015
    D4T_PoM likes this.
  8. Ptr

    Ptr

    Joined:
    Oct 7, 2015
    Messages:
    248
    Likes Received:
    61
    Did you have "No Signal" issue also or just drifting
     
  9. lotusteve

    Joined:
    Sep 11, 2015
    Messages:
    586
    Likes Received:
    135
    Location:
    sheffield uk
    I never had the no signal issues, I have done 49 flights now and about 20 have been on the 1.4 firmware.it was just not stable,it would not hover as good as being on the 1.3 and when flying forward it would go to the left all the time, I was always correcting by pushing the control a bit to the right and forward to get it to fly in a straight line.
     
  10. dysan911

    Joined:
    Mar 12, 2015
    Messages:
    298
    Likes Received:
    60
    I thought one of the things that the newest FW addresses is drifting. Why would you not just try out 1.5.30? Someone in another thread reported that he tested the latest FW and his drifting is completely gone.
     
  11. lotusteve

    Joined:
    Sep 11, 2015
    Messages:
    586
    Likes Received:
    135
    Location:
    sheffield uk
    I went back to 1.3 because I know it's stable.if I went to 1.5 and it did not fix my drifting I could not go back to 1.3 only back to 1.4 which causes my drifting.
     
    D4T_PoM and Skypicswa like this.
  12. Fanti

    Joined:
    Nov 18, 2013
    Messages:
    195
    Likes Received:
    42
  13. robinb

    Joined:
    May 10, 2014
    Messages:
    2,907
    Likes Received:
    503
    Location:
    A place in the sun

    DJI do not say anywhere you MUST update to get warranty cover.

    I am on 1.4 and will stay with that.
     
  14. rich146

    Joined:
    Mar 20, 2016
    Messages:
    66
    Likes Received:
    10
    I'm on fw 1.1.9 still as it's stable. Annoyingly I purchased airnest app recently not knowing it would only work with 1.4 upwards. Although I would like to use the new features/app I'm hesitant to potentially create other issues.


    Sent from my iPhone using PhantomPilots mobile app